Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdmlib / pom.xml @ f967c042

History | View | Annotate | Download (61 KB)

1
<?xml version="1.0" encoding="UTF-8"?> 
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdmlib-parent</artifactId>
6
  <version>5.18.0-SNAPSHOT</version>
7
  <name>CDM Library</name>
8
  <description>The Java implementation of the Common Data Model (CDM), the data model for EDIT's internet platform for cybertaxonomy.</description>
9
  <url>http://cybertaxonomy.eu/cdmlib/</url>
10
  <inceptionYear>2007</inceptionYear>
11
  <packaging>pom</packaging>
12
  <modules>
13
    <module>cdmlib-commons</module>
14
    <module>cdmlib-model</module>
15
        <module>cdmlib-db</module>
16
    <module>cdmlib-test</module>
17
    <module>cdmlib-persistence</module>
18
    <module>cdmlib-services</module>
19
    <module>cdmlib-ext</module>
20
    <module>cdmlib-io</module>
21
    <module>cdmlib-remote</module>
22
    <module>cdmlib-print</module>
23
    <module>cdmlib-remote-webapp</module>
24
    <module>cdmlib-cache</module>
25
  </modules>
26
  <properties>    
27
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
28
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
29
    <java.codelevel>1.8</java.codelevel>
30
    <spring.version>4.3.28.RELEASE</spring.version>                                 <!-- checked 2020-08, further upgrade possible -->
31
    <spring-security.version>4.2.18.RELEASE</spring-security.version>               <!-- checked 2020-08, further upgrade possible -->
32
    <spring-security-oauth2.version>2.5.0.RELEASE</spring-security-oauth2.version>  <!-- checked 2020-08 -->
33
    <spring-cloud.version>1.1.3.RELEASE</spring-cloud.version>
34
        <hibernate.version>5.1.17.Final</hibernate.version>
35
        <hibernate-validator.version>6.1.5.Final</hibernate-validator.version>          <!-- checked 2020-08 -->
36
    <hibernate-search.version>5.5.2.Final</hibernate-search.version>
37
    <lucene.version>5.4.1</lucene.version>
38
        <unitils.version>3.4.6</unitils.version>
39
    <hsqldb.version>2.5.1</hsqldb.version>
40
        <!-- <hsqldb.version>1.8.0.10</hsqldb.version>  -->
41
        <!-- 1.8.0.10, 1.9.0-rc6 (manually build only for debugging) -->
42
    <httpcomponents.version>4.5.12</httpcomponents.version>
43
    <doxia.version>1.9.1</doxia.version>                <!-- checked 2020-08 -->
44
    <poi.version>4.1.2</poi.version>                    <!-- checked 2020-08 -->
45
    <jackson.version>2.11.2</jackson.version>           <!-- checked 2020-08 -->
46
        <commons-logging.version>1.2</commons-logging.version> <!-- checked 2020-08 -->
47
        <slf4j.version>1.7.30</slf4j.version>               <!-- checked 2020-08 -->
48
        <jaxb.version>2.2.11</jaxb.version>                 <!-- checked 2020-08, there is a newer version 3.0.0-MX, not checked if compatible -->
49
        <cglib.version>3.3.0</cglib.version>
50
        <aspectj.version>1.9.6</aspectj.version>            <!-- checked 2020-08 -->
51
        <geotools.version>23.2</geotools.version>           <!-- checked 2020-08 -->
52
    <javadoc.opts>-Xdoclint:none</javadoc.opts>         
53
  </properties>
54
  
55
  <scm>
56
    <connection>scm:git:https://dev.e-taxonomy.eu/git/cdmlib.git</connection>
57
    <developerConnection>scm:git:ssh://git@dev.e-taxonomy.eu/var/git/cdmlib.git</developerConnection>
58
    <url>https://dev.e-taxonomy.eu/gitweb/cdmlib.git/tree</url>
59
  </scm>
60
  
61
  <prerequisites>
62
    <maven>3.2.3</maven>
63
  </prerequisites>
64
  
65
    <mailingLists>
66
        <mailingList>
67
            <name>EDIT Platform Developers</name>
68
            <subscribe>
69
                https://lists.fu-berlin.de/listinfo/editplatformdevelopers#subscribe
70
            </subscribe>
71
            <unsubscribe>
72
                https://lists.fu-berlin.de/listinfo/editplatformdevelopers#options
73
            </unsubscribe>
74
        </mailingList>
75
        <mailingList>
76
            <name>EDIT User</name>
77
            <subscribe>
78
                https://lists.fu-berlin.de/listinfo/edituser#subscribe
79
            </subscribe>
80
            <unsubscribe>
81
                https://lists.fu-berlin.de/listinfo/edituser#options
82
            </unsubscribe>
83
        </mailingList>
84
    </mailingLists>
85
  <licenses>
86
    <license>
87
      <name>Mozilla Public License Version 1.1</name>
88
      <url>http://www.mozilla.org/MPL/MPL-1.1.html</url>
89
      <distribution>repo</distribution>
90
    </license>
91
  </licenses>
92
  <organization>
93
    <name>EDIT</name>
94
    <url>https://cybertaxonomy.eu/</url>
95
  </organization>
96
  <developers>
97
    <developer>
98
      <!-- your SVN account id please! -->
99
      <id>a.kohlbecker</id>
100
      <name>
101
                Andreas Kohlbecker
102
            </name>
103
      <email>a.kohlbecker [at] bgbm.org</email>
104
      <organization>
105
                Botanical Garden Botanical Museum Berlin
106
            </organization>
107
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
108
      <timezone>+1</timezone>
109
      <roles>
110
        <role>Architect</role>
111
        <role>Java Developer</role>
112
        <role>Release Manager</role>
113
      </roles>
114
      <url />
115
    </developer>
116
    <developer>
117
      <!-- your SVN account id please! -->
118
      <id>k.luther</id>
119
      <name>
120
                Katja Luther
121
            </name>
122
      <email>k.luther [at] bgbm.org</email>
123
      <organization>
124
                Botanical Garden Botanical Museum Berlin
125
            </organization>
126
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
127
      <timezone>+1</timezone>
128
      <roles>
129
        <role>Java Developer</role>
130
      </roles>
131
      <url />
132
    </developer>
133
    <developer>
134
      <!-- your SVN account id please! -->
135
      <id>a.mueller</id>
136
      <name>
137
                Andreas Müller
138
            </name>
139
      <email>a.mueller [at] bgbm.org</email>
140
      <organization>
141
                Botanical Garden Botanical Museum Berlin
142
            </organization>
143
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
144
      <timezone>+1</timezone>
145
      <roles>
146
        <role>Architect</role>
147
        <role>Java Developer</role>
148
        <role>Release Manager</role>
149
      </roles>
150
      <url />
151
    </developer>
152
           <developer>
153
      <!-- your SVN account id please! -->
154
      <id>p.plitzner</id>
155
      <name>
156
               Patrick Plitzner
157
            </name>
158
      <email>p.plitzner [at] bgbm.org</email>
159
      <organization>
160
                Botanical Garden Botanical Museum Berlin
161
            </organization>
162
      <organizationUrl>http://www.bgbm.org/BioDivInf/</organizationUrl>
163
      <timezone>+1</timezone>
164
      <roles>
165
        <role>Java Developer</role>
166
      </roles>
167
      <url />
168
    </developer>
169
  </developers>
170
  <!--contributors> <contributor> <name>Test-Contributor</name> </contributor> 
171
    </contributors -->
172
  <issueManagement>
173
    <system>Redmine</system>
174
    <url>https://dev.e-taxonomy.eu/redmine/projects/edit</url>
175
  </issueManagement>
176
  <ciManagement>
177
    <system>Jenkins</system>
178
    <url>http://int.e-taxonomy.eu/jenkins</url>
179
  </ciManagement>
180
  <!-- **** REPOSITORIES **** -->
181
  <profiles>
182
    <profile>
183
      <id>local-repository</id>
184
      <activation>
185
        <property>
186
          <name>localrepo</name>
187
        </property>
188
      </activation>
189
      <repositories>
190
        <repository>
191
          <id>EditLocalRepository</id>
192
          <url>file://${localrepo}/eu/etaxonomy/</url>
193
          <releases>
194
            <enabled>false</enabled>
195
            <updatePolicy>always</updatePolicy>
196
          </releases>
197
          <snapshots>
198
            <enabled>true</enabled>
199
            <updatePolicy>always</updatePolicy>
200
          </snapshots>
201
        </repository>
202
      </repositories>
203
    </profile>
204
  </profiles>
205
  <repositories>
206
    <!-- the cdm internal repository -->
207
    <repository>
208
      <id>EditRepository</id>
209
      <url>http://cybertaxonomy.eu/mavenrepo/</url>
210
    </repository>
211
    <!-- apache incubating repository -->
212
    <repository>
213
      <id>ApacheIncubating</id>
214
      <url>http://people.apache.org/repo/m2-incubating-repository/</url>
215
    </repository>
216
    <!-- Neccessary for hibernate-envers -->
217
    <repository>
218
  <!--    <releases>
219
        <enabled>true</enabled>
220
        <updatePolicy>always</updatePolicy>
221
        <checksumPolicy>warn</checksumPolicy>
222
      </releases>
223
      <snapshots>
224
        <enabled>false</enabled>
225
        <updatePolicy>never</updatePolicy>
226
        <checksumPolicy>fail</checksumPolicy>
227
      </snapshots>   -->
228
      <id>jboss-repository</id>
229
      <name>JBoss Repository</name>
230
      <url>https://repository.jboss.org</url>
231
    </repository>
232
    <repository>
233
            <id>OSGeo Repository</id>
234
            <url>https://repo.osgeo.org/repository/release/</url>
235
    </repository>
236
  </repositories>
237
  <!-- **** PLUGINS **** -->
238
  <build>
239
    <plugins>
240
      <plugin>
241
        <groupId>org.apache.maven.plugins</groupId>
242
        <artifactId>maven-compiler-plugin</artifactId>
243
                <version>2.3.2</version> 
244
        <configuration>
245
          <source>${java.codelevel}</source>
246
          <target>${java.codelevel}</target>
247
          <encoding>${project.build.sourceEncoding}</encoding>  <!-- necessary? should be covered by project. properties source encoding -->
248
                  <!-- to increase stacksize see #6404 -->
249
        </configuration>
250
      </plugin>
251
      <plugin>
252
        <groupId>org.apache.maven.plugins</groupId>
253
        <artifactId>maven-surefire-plugin</artifactId>
254
        <version>3.0.0-M4</version>
255
        <configuration>
256
          <argLine>-Xmx512M -Dfile.encoding=${project.build.sourceEncoding}</argLine>
257
          <runOrder>alphabetical</runOrder>
258
          <includes>
259
            <include>**/*Test.java</include>
260
          </includes>
261
        </configuration>
262
      </plugin>
263
      <plugin>
264
          <groupId>org.apache.maven.plugins</groupId>
265
          <artifactId>maven-resources-plugin</artifactId>
266
          <version>3.0.2</version>
267
          <configuration>
268
              <encoding>${project.build.sourceEncoding}</encoding>
269
          </configuration>
270
      </plugin>
271
      <plugin>
272
        <groupId>org.codehaus.mojo</groupId>
273
        <artifactId>buildnumber-maven-plugin</artifactId>
274
        <version>1.0-beta-3</version>
275
        <executions>
276
          <execution>
277
            <!--<phase>deploy</phase> -->
278
            <goals>
279
              <goal>create</goal>
280
            </goals>
281
          </execution>
282
        </executions>
283
        <configuration>
284
          <doCheck>false</doCheck>
285
          <!-- Only create the build number if there are no local modifications -->
286
          <doUpdate>false</doUpdate>
287
          <!-- automatically update the local svn copy -->
288
        </configuration>
289
      </plugin>
290
      <plugin>
291
        <groupId>org.apache.maven.plugins</groupId>
292
        <artifactId>maven-site-plugin</artifactId>
293
        <version>3.3</version>
294
        <configuration>
295
          <locales>en</locales>
296
          <outputEncoding>UTF-8</outputEncoding><!-- necessary? should be covered by project. properties output encoding -->
297
          <!-- chmod: not not use chmod, rather adapt the umask of the user 
298
            at the server to which the site is deployed -->
299
          <chmod>false</chmod>
300
        </configuration>
301
      </plugin>
302
      <plugin>
303
        <groupId>org.apache.maven.plugins</groupId>
304
        <artifactId>maven-source-plugin</artifactId>
305
        <version>2.1.2</version>
306
        <executions>
307
          <execution>
308
            <id>attach-sources</id>
309
            <phase>verify</phase>
310
            <goals>
311
              <goal>jar</goal>
312
            </goals>
313
          </execution>
314
        </executions>
315
      </plugin>
316
      <plugin>
317
        <groupId>org.apache.maven.plugins</groupId>
318
        <artifactId>maven-javadoc-plugin</artifactId>
319
        <version>2.7</version>
320
        <configuration>
321
          <stylesheet>maven</stylesheet>
322
          <quiet>true</quiet>
323
          <detectLinks>true</detectLinks>
324
          <failOnError>false</failOnError>
325
          <additionalparam>${javadoc.opts}</additionalparam>
326
        </configuration>
327
        <executions>
328
          <execution>
329
            <id>aggregate</id>
330
            <goals>
331
              <goal>aggregate</goal>
332
            </goals>
333
            <phase>site</phase>
334
          </execution>
335
        </executions>
336
      </plugin>
337
      <plugin>
338
        <groupId>org.apache.maven.plugins</groupId>
339
        <artifactId>maven-eclipse-plugin</artifactId>
340
        <version>2.9</version>
341
        <configuration>
342
          <downloadSources>true</downloadSources>
343
          <downloadJavadocs>true</downloadJavadocs>
344
        </configuration>
345
      </plugin>
346
      <plugin>
347
        <groupId>com.agilejava.docbkx</groupId>
348
        <artifactId>docbkx-maven-plugin</artifactId>
349
        <version>2.0.9</version>
350
        <executions>
351
          <execution>
352
            <goals>
353
              <goal>generate-html</goal>
354
              <goal>generate-pdf</goal>
355
            </goals>
356
            <phase>pre-site</phase>
357
          </execution>
358
        </executions>
359
        <dependencies>
360
          <dependency>
361
            <groupId>org.docbook</groupId>
362
            <artifactId>docbook-xml</artifactId>
363
            <version>4.4</version>
364
            <scope>runtime</scope>
365
          </dependency>
366
        </dependencies>
367
        <configuration>
368
          <includes>ReferenceDocumentation.xml</includes>
369
          <chunkedOutput>true</chunkedOutput>
370
          <htmlStylesheet>resources/css/html.css</htmlStylesheet>
371
          <xincludeSupported>true</xincludeSupported>
372
          <!--<htmlCustomization>src/docbkx/resources/xsl/html_chunk.xsl</htmlCustomization> -->
373
          <!-- if anyone can get the xsl-fo customization to work properly, 
374
            then by all means use it <foCustomization>src/docbkx/resources/xsl/fopdf.xsl</foCustomization> -->
375
          <entities>
376
            <entity>
377
              <name>version</name>
378
              <value>${project.version}</value>
379
            </entity>
380
          </entities>
381
          <!--We want the final documentation and the required resources 
382
            to end up in the right place -->
383
          <postProcess>
384
            <copy todir="target/site/reference">
385
              <fileset dir="target/docbkx">
386
                <include name="**/*.html" />
387
                <include name="**/*.pdf" />
388
              </fileset>
389
            </copy>
390
            <copy todir="target/site/reference/html">
391
              <fileset dir="src/docbkx">
392
                <include name="**/*.css" />
393
                <include name="**/*.png" />
394
                <include name="**/*.gif" />
395
                <include name="**/*.jpg" />
396
              </fileset>
397
            </copy>
398
          </postProcess>
399
        </configuration>
400
      </plugin>
401
      <plugin>
402
        <groupId>org.codehaus.mojo</groupId>
403
        <artifactId>wagon-maven-plugin</artifactId>
404
        <version>1.0-beta-3</version>
405
        <configuration>
406
          <fromDir>${project.build.directory}/docbkx/</fromDir>
407
          <includes>**/*</includes>
408
          <excludes />
409
          <url>scpexe://cybertaxonomy.eu</url>
410
          <serverId>cybertaxonomy.eu</serverId>
411
          <toDir>var/www/wp5.e-taxonomy.eu/cdmlib/reference/${project.version}</toDir>
412
        </configuration>
413
        <executions>
414
          <execution>
415
            <id>upload-reference-documentation</id>
416
            <phase>site-deploy</phase>
417
            <goals>
418
              <goal>upload</goal>
419
            </goals>
420
          </execution>
421
        </executions>
422
      </plugin>
423
      <plugin>
424
        <groupId>org.apache.maven.plugins</groupId>
425
        <artifactId>maven-release-plugin</artifactId>
426
        <version>2.1</version>
427
        <configuration>
428
          <allowTimestampedSnapshots>true</allowTimestampedSnapshots>
429
          <autoVersionSubmodules>true</autoVersionSubmodules>
430
          <preparationGoals>clean verify install</preparationGoals>
431
          <goals>deploy</goals><!-- skipping site-deploy by explicitly configuring 
432
            the goal here -->
433
          <tagBase>http://dev.e-taxonomy.eu/svn/tags/cdmlib</tagBase>
434
        </configuration>
435
      </plugin>
436
      <plugin>
437
        <groupId>external.atlassian.jgitflow</groupId>
438
        <artifactId>jgitflow-maven-plugin</artifactId>
439
        <version>1.0-m6</version>
440
        <configuration>
441
          <pushHotfixes>true</pushHotfixes>
442
          <pushReleases>true</pushReleases> 
443
          <enableSshAgent>true</enableSshAgent>
444
          <allowSnapshots>true</allowSnapshots>
445
          <allowUntracked>true</allowUntracked>
446
        </configuration>
447
        <dependencies>
448
          <!-- 
449
                upgrading dependency jsch.agent.version of jgit-flow plugin to 0.1.53 
450
                in order have ssl key exchange algorithms compatible with openssh 6.7 
451
             -->
452
          <dependency>
453
            <groupId>com.jcraft</groupId>
454
            <artifactId>jsch</artifactId>
455
            <version>0.1.53</version>
456
          </dependency>
457
        </dependencies>
458
      </plugin>
459
      <plugin>
460
        <groupId>org.apache.maven.plugins</groupId>
461
        <artifactId>maven-enforcer-plugin</artifactId>
462
        <version>3.0.0-M2</version>
463
        <executions>
464
          <execution>
465
            <id>enforce</id>
466
            <configuration>
467
              <fail>true</fail>
468
              <skip>false</skip>
469
              <rules>
470
                <dependencyConvergence />                
471
                                <requireMavenVersion>
472
                  <version>[3.6.0,)</version>
473
                </requireMavenVersion>
474
              </rules>
475
            </configuration>
476
            <goals>
477
              <goal>enforce</goal>
478
              <!-- Binds by default to the lifecycle phase: validate -->
479
            </goals>
480
          </execution>
481
        </executions>
482
      </plugin>
483
    </plugins>
484
    <extensions>
485
      <extension>
486
        <groupId>org.apache.maven.wagon</groupId>
487
        <artifactId>wagon-scm</artifactId>
488
        <version>1.0-beta-6</version>
489
      </extension>
490
      <extension>
491
        <groupId>org.apache.maven.wagon</groupId>
492
        <artifactId>wagon-ssh</artifactId>
493
        <version>1.0-beta-6</version>
494
      </extension>
495
      <extension>
496
        <groupId>org.apache.maven.wagon</groupId>
497
        <artifactId>wagon-ssh-external</artifactId>
498
        <version>1.0-beta-6</version>
499
      </extension>
500
      <extension>
501
        <groupId>org.apache.maven.scm</groupId>
502
        <artifactId>maven-scm-manager-plexus</artifactId>
503
        <version>1.0</version>
504
      </extension>
505
      <extension>
506
        <groupId>org.apache.maven.scm</groupId>
507
        <artifactId>maven-scm-provider-svnexe</artifactId>
508
        <version>1.0</version>
509
      </extension>
510
      <!-- WebDAV plugin to upload snapshots -->
511
      <extension>
512
        <groupId>org.apache.maven.wagon</groupId>
513
        <artifactId>wagon-webdav</artifactId>
514
        <version>1.0-beta-2</version>
515
      </extension>
516
    </extensions>
517
    <pluginManagement>
518
      <plugins>
519
        <plugin>
520
          <groupId>org.apache.maven.plugins</groupId>
521
          <artifactId>maven-antrun-plugin</artifactId>
522
          <version>1.7</version>
523
        </plugin>
524
      </plugins>  
525
    </pluginManagement>
526
  </build>
527
  <reporting>
528
    <plugins>
529
      <plugin>
530
        <!-- you will want to start by publishing your classes' Javadocs -->
531
        <groupId>org.apache.maven.plugins</groupId>
532
        <artifactId>maven-javadoc-plugin</artifactId>
533
        <version>2.7</version>
534
        <configuration>
535
          <detectLinks>true</detectLinks>
536
          <additionalparam>${javadoc.opts}</additionalparam>
537
        </configuration>
538
      </plugin>
539
      <plugin>
540
        <!-- this will generate an indexed and cross-referenced HTML version 
541
          of your source code -->
542
        <groupId>org.apache.maven.plugins</groupId>
543
        <artifactId>maven-jxr-plugin</artifactId>
544
        <version>2.2</version>
545
      </plugin>
546
      <plugin>
547
        <!-- if you use @todo tags to remind you of things to be done (which 
548
          is a good coding practice), the taglist report will generate a list of all 
549
          the items marked @todo or TODO -->
550
        <groupId>org.codehaus.mojo</groupId>
551
        <artifactId>taglist-maven-plugin</artifactId>
552
        <version>2.4</version>
553
      </plugin>
554
      <plugin>
555
        <!-- Test coverage can be a useful indication of the quality of your 
556
          unit tests. It basically tells you how much of your code is actually run 
557
          by your unit tests, which, in turn, can give you a good idea of the tests' 
558
          quality -->
559
        <groupId>org.codehaus.mojo</groupId>
560
        <artifactId>cobertura-maven-plugin</artifactId>
561
        <version>2.4</version>
562
        <!-- <executions> <execution> <id>clean</id> <phase>clean</phase> 
563
          <goals> <goal>clean</goal> </goals> </execution> </executions> -->
564
      </plugin>
565
      <!-- -->
566
      <plugin>
567
        <groupId>org.apache.maven.plugins</groupId>
568
        <artifactId>maven-project-info-reports-plugin</artifactId>
569
        <version>2.8</version>
570
        <configuration>
571
          <!-- when the dependencyLocations option is enabled maven will 
572
            determine if resources are located within a given repository. If that repository 
573
            doesn’t exist anyomore or is just terribly slow and will produce tons of 
574
            line in the log starting with: '[ERROR] Unable to determine if resource ...' 
575
            This will slow down site build drastically, therefore we disable this option 
576
            here. -->
577
          <dependencyLocationsEnabled>false</dependencyLocationsEnabled>
578
        </configuration>
579
        <!-- just the deafault <reportSets> <reportSet> <reports> <report>dependencies</report> 
580
          <report>project-team</report> <report>mailing-list</report> <report>cim</report> 
581
          <report>issue-tracking</report> <report>license</report> <report>scm</report> 
582
          </reports> </reportSet> </reportSets> -->
583
      </plugin>
584
      <!-- The changes-maven-plugin plug-in uses a special XML file (src/changes/changes.xml) 
585
        to track releases and changes in each release -->
586
      <plugin>
587
        <groupId>org.apache.maven.plugins</groupId>
588
        <artifactId>maven-changes-plugin</artifactId>
589
        <version>2.3</version>
590
        <configuration>
591
          <issueLinkTemplatePerSystem>
592
            <default>%URL%/ticket/%ISSUE%</default>
593
          </issueLinkTemplatePerSystem>
594
        </configuration>
595
        <reportSets>
596
          <reportSet>
597
            <reports>
598
              <report>changes-report</report>
599
            </reports>
600
          </reportSet>
601
        </reportSets>
602
      </plugin>
603
      <!-- The changelog plug-in generates a nice report describing which 
604
        files have been changed and by whom -->
605
      <!-- <plugin> <groupId>org.codehaus.mojo</groupId> <artifactId>changelog-maven-plugin</artifactId> 
606
        </plugin> -->
607
    </plugins>
608

609
  </reporting>
610
  <!-- DISTRIBUTION MANAGEMENT -->
611
  <distributionManagement>
612
    <site>
613
      <id>cybertaxonomy.eu</id>
614
      <name>CDM Library Website</name>
615
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/cdmlib/</url>
616
    </site>
617
    <repository>
618
      <uniqueVersion>false</uniqueVersion>
619
      <id>cybertaxonomy.eu</id>
620
      <name>Edit Maven Repository</name>
621
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
622
      <layout>default</layout>
623
    </repository>
624
  </distributionManagement>
625
  <!-- **** DEPENDENCIES **** -->
626
  <dependencies>
627
    <dependency>
628
      <groupId>junit</groupId>
629
      <artifactId>junit</artifactId>
630
    </dependency>
631
    <dependency>
632
      <groupId>log4j</groupId>
633
      <artifactId>log4j</artifactId>
634
    </dependency>
635
  </dependencies>
636
  <dependencyManagement>
637
    <dependencies>
638
      <dependency>
639
        <groupId>eu.etaxonomy</groupId>
640
        <artifactId>cdmlib-commons</artifactId>
641
        <version>${project.version}</version>
642
      </dependency>
643
      <dependency>
644
        <groupId>eu.etaxonomy</groupId>
645
        <artifactId>cdmlib-model</artifactId>
646
        <version>${project.version}</version>
647
      </dependency>
648
      <dependency>
649
        <groupId>eu.etaxonomy</groupId>
650
        <artifactId>cdmlib-persistence</artifactId>
651
        <version>${project.version}</version>
652
      </dependency>
653
      <dependency>
654
        <groupId>eu.etaxonomy</groupId>
655
        <artifactId>cdmlib-services</artifactId>
656
        <version>${project.version}</version>
657
      </dependency>
658
      <dependency>
659
        <groupId>eu.etaxonomy</groupId>
660
        <artifactId>cdmlib-io</artifactId>
661
        <version>${project.version}</version>
662
      </dependency>
663
      <dependency>
664
        <groupId>eu.etaxonomy</groupId>
665
        <artifactId>cdmlib-remote</artifactId>
666
        <version>${project.version}</version>
667
      </dependency>
668
      <dependency>
669
        <groupId>eu.etaxonomy</groupId>
670
        <artifactId>cdmlib-remote-webapp</artifactId>
671
        <version>${project.version}</version>
672
      </dependency>
673
      <dependency>
674
        <groupId>eu.etaxonomy</groupId>
675
        <artifactId>cdm-server</artifactId>
676
        <version>${project.version}</version>
677
      </dependency>
678
      <dependency>
679
        <groupId>eu.etaxonomy</groupId>
680
        <artifactId>cdmlib-ext</artifactId>
681
        <version>${project.version}</version>
682
      </dependency>
683
      <dependency>
684
        <groupId>eu.etaxonomy</groupId>
685
        <artifactId>cdmlib-print</artifactId>
686
        <version>${project.version}</version>
687
      </dependency>
688
      <!--*********** JAXB********* -->
689
      <dependency>
690
        <groupId>javax.xml.bind</groupId>
691
        <artifactId>jaxb-api</artifactId>
692
        <version>2.3.1</version>
693
        <!-- checked 2020-08 -->
694
      </dependency>
695
      <dependency>
696
         <!-- dependency for jaxb-api -->
697
         <groupId>javax.activation</groupId>
698
         <artifactId>javax.activation-api</artifactId>
699
         <version>1.2.0</version>
700
         <!-- checked 2020-08 -->
701
      </dependency>
702
      <dependency>
703
        <groupId>xml-resolver</groupId>
704
        <artifactId>xml-resolver</artifactId>
705
        <version>1.2</version>
706
        <!-- checked 2020-08 -->
707
      </dependency>
708
      <dependency>
709
        <groupId>javax.activation</groupId>
710
        <artifactId>activation</artifactId>
711
        <version>1.1.1</version>
712
        <!-- checked 2020-08 -->
713
      </dependency>
714
           <dependency>
715
                <groupId>org.glassfish.jaxb</groupId>
716
                <artifactId>jaxb-runtime</artifactId>
717
                <version>${jaxb.version}</version>
718
          </dependency>
719
          <dependency>
720
                <groupId>org.glassfish.jaxb</groupId>
721
                <artifactId>jaxb-core</artifactId>
722
                <version>${jaxb.version}</version>
723
          </dependency>
724
          <dependency>
725
                <groupId>org.glassfish.jaxb</groupId>
726
                <artifactId>jaxb-jxc</artifactId>
727
                <version>${jaxb.version}</version>
728
          </dependency>
729
      <dependency>
730
         <!-- jaxb-core dependency -->
731
         <groupId>com.sun.istack</groupId>
732
         <artifactId>istack-commons-runtime</artifactId>
733
         <version>3.0.11</version>
734
      </dependency>
735
      <dependency>
736
          <!-- jaxb-core dependency -->
737
          <groupId>jakarta.xml.bind</groupId>
738
          <artifactId>jakarta.xml.bind-api</artifactId>
739
          <version>2.3.3</version>
740
      </dependency>
741
      <dependency>
742
          <!-- jaxb-core dependency -->
743
          <groupId>org.glassfish.jaxb</groupId>
744
          <artifactId>txw2</artifactId>
745
          <version>2.3.3</version>
746
      </dependency>
747
      <dependency>
748
          <!-- jaxb-core transitive dependency -->
749
          <groupId>jakarta.activation</groupId>
750
          <artifactId>jakarta.activation-api</artifactId>
751
          <version>1.2.2</version>
752
      </dependency>
753
      <dependency>
754
          <!-- jaxb-jxc transitive dependency -->
755
         <groupId>com.sun.xml.bind.external</groupId>
756
         <artifactId>rngom</artifactId>
757
         <version>2.3.3</version>
758
      </dependency>
759
      <dependency>
760
          <groupId>com.sun.xml.bind.external</groupId>
761
          <artifactId>relaxng-datatype</artifactId>
762
          <version>2.3.3</version>
763
      </dependency>
764
      
765
          <dependency>
766
            <!-- only for version management org.apache.ant:ant depends in different versions from 
767
             org.unitils:unitils-easymock:3.4.2 and org.glassfish.jaxb:jaxb-jxc:2.2.11 -->
768
            <groupId>org.apache.ant</groupId>
769
            <artifactId>ant</artifactId>
770
            <version>1.10.8</version>
771
          </dependency>
772
      <!-- ******* hibernate uses slf4j ******* -->
773
      <dependency>
774
        <groupId>org.slf4j</groupId>
775
        <artifactId>slf4j-api</artifactId>
776
        <version>${slf4j.version}</version>
777
      </dependency>
778
      <dependency>
779
        <groupId>org.slf4j</groupId>
780
        <artifactId>slf4j-log4j12</artifactId>
781
        <version>${slf4j.version}</version>
782
      </dependency>
783
          <dependency>
784
        <!-- try to generally exclude -nop as we try to use log4j12, this is done already for unitils -->
785
        <groupId>org.slf4j</groupId>
786
        <artifactId>slf4j-nop</artifactId>
787
        <version>${slf4j.version}</version>
788
      </dependency>
789
      <!-- ******* testing ******* -->
790
      <dependency>
791
        <groupId>junit</groupId>
792
        <artifactId>junit</artifactId>
793
        <version>4.13</version>
794
        <scope>test</scope>
795
      </dependency>
796
      <dependency>
797
        <groupId>com.carrotsearch</groupId>
798
        <artifactId>junit-benchmarks</artifactId>
799
        <version>0.7.2</version>
800
        <scope>test</scope>
801
      </dependency>
802
      <dependency>
803
        <groupId>org.unitils</groupId>
804
        <artifactId>unitils-core</artifactId>
805
        <version>${unitils.version}</version>
806
        <!-- <scope>test</scope> unscoped since we need this dependency at 
807
          compile time in persistence for H2DbSupport.java -->
808
      </dependency>
809
      <dependency>
810
        <groupId>org.unitils</groupId>
811
        <artifactId>unitils-database</artifactId>
812
        <version>${unitils.version}</version>
813
     <!--    <scope>test</scope>  -->
814
        <exclusions>
815
          <exclusion>
816
            <groupId>org.springframework</groupId>
817
            <artifactId>spring-jdbc</artifactId>
818
          </exclusion>
819
        </exclusions>
820
      </dependency>
821
      <dependency>
822
        <groupId>org.unitils</groupId>
823
        <artifactId>unitils-dbmaintainer</artifactId>
824
        <version>${unitils.version}</version>
825
     <!--    <scope>test</scope>  -->
826
        <exclusions>
827
          <exclusion>
828
            <groupId>org.hibernate</groupId>
829
            <artifactId>hibernate</artifactId>
830
          </exclusion>
831
          <exclusion>
832
            <groupId>org.slf4j</groupId>
833
            <artifactId>slf4j-nop</artifactId>
834
          </exclusion>
835
        </exclusions>
836
      </dependency>
837
      <dependency>
838
        <groupId>org.unitils</groupId>
839
        <artifactId>unitils-dbunit</artifactId>
840
        <version>${unitils.version}</version>
841
     <!--    <scope>test</scope>  -->
842
      </dependency>
843
      <dependency>
844
        <groupId>org.unitils</groupId>
845
        <artifactId>unitils-easymock</artifactId>
846
        <version>${unitils.version}</version>
847
     <!--    <scope>test</scope>  -->
848
      </dependency>
849
      <dependency>
850
        <groupId>org.unitils</groupId>
851
        <artifactId>unitils-mock</artifactId>
852
        <version>${unitils.version}</version>
853
     <!--    <scope>test</scope>  -->
854
      </dependency>
855
      <dependency>
856
        <groupId>org.unitils</groupId>
857
        <artifactId>unitils-inject</artifactId>
858
        <version>${unitils.version}</version>
859
     <!--    <scope>test</scope>  -->
860
      </dependency>
861
      <dependency>
862
        <groupId>org.unitils</groupId>
863
        <artifactId>unitils-orm</artifactId>
864
        <version>${unitils.version}</version>
865
     <!--    <scope>test</scope>  -->
866
        <exclusions>
867
          <exclusion>
868
            <groupId>javax.persistence</groupId>
869
            <artifactId>persistence-api</artifactId>
870
          </exclusion>
871
        </exclusions>
872
      </dependency>
873
      <dependency>
874
        <groupId>org.unitils</groupId>
875
        <artifactId>unitils-spring</artifactId>
876
        <version>${unitils.version}</version>
877
     <!--    <scope>test</scope>  -->
878
      </dependency>
879
      <dependency>
880
        <groupId>xmlunit</groupId>
881
        <artifactId>xmlunit</artifactId>
882
        <version>1.6</version>
883
     <!--    <scope>test</scope>  -->
884
      </dependency>
885
  <!--    <dependency>
886
        <groupId>org.dbunit</groupId>
887
        <artifactId>dbunit</artifactId>
888
        <version>2.4.9</version>  -->
889
     <!--    <scope>test</scope>  -->
890
  <!--    </dependency>   -->
891
      <!-- dependency of unitils-database, but with lower number there , 
892
        higher number needed for compatibility with current hibernate and Java 1.6 
893
        PreparedStatement -->
894
      <dependency>
895
        <groupId>commons-dbcp</groupId>
896
        <artifactId>commons-dbcp</artifactId>
897
        <version>1.4</version>
898
        <!-- <scope>test</scope> -->
899
      </dependency>
900
          <dependency>
901
                <groupId>eu.etaxonomy</groupId>
902
                <artifactId>cdmlib-test</artifactId>
903
     <!--    <scope>test</scope>  -->
904
                <version>${project.version}</version>
905
          </dependency>
906
      <!-- ******* aspect ******* -->
907
      <dependency>
908
        <groupId>org.aspectj</groupId>
909
        <artifactId>aspectjrt</artifactId>
910
        <version>${aspectj.version}</version>
911
      </dependency>
912
      <dependency>
913
        <groupId>org.aspectj</groupId>
914
        <artifactId>aspectjweaver</artifactId>
915
        <version>${aspectj.version}</version>
916
      </dependency>
917
      <!-- ******* VARIOUS ******* -->
918
      <dependency>
919
        <groupId>log4j</groupId>
920
        <artifactId>log4j</artifactId>
921
        <version>1.2.17</version>
922
      </dependency>
923
      <dependency>
924
        <groupId>net.sf.opencsv</groupId>
925
        <artifactId>opencsv</artifactId>
926
        <version>2.3</version>
927
      </dependency>
928
      <dependency>
929
        <!-- TODO what is this for? -->
930
        <groupId>org.eclipse</groupId>
931
        <artifactId>osgi</artifactId>
932
        <version>3.6.0</version>
933
      </dependency>
934
      <dependency>
935
        <groupId>cglib</groupId>
936
        <artifactId>cglib</artifactId>
937
        <version>${cglib.version}</version>
938
      </dependency>
939
      <dependency>
940
        <groupId>cglib</groupId>
941
        <artifactId>cglib-nodep</artifactId>
942
        <version>${cglib.version}</version>
943
      </dependency>
944
      <dependency>
945
        <groupId>commons-lang</groupId>
946
        <artifactId>commons-lang</artifactId>
947
        <version>2.6</version>
948
      </dependency>
949
      <dependency>
950
        <groupId>org.apache.commons</groupId>
951
        <artifactId>commons-lang3</artifactId>
952
        <version>3.11</version>
953
      </dependency>
954
      <dependency>
955
        <groupId>commons-collections</groupId>
956
        <artifactId>commons-collections</artifactId>
957
        <version>3.2.2</version>
958
      </dependency>
959
      <dependency>
960
        <groupId>org.apache.httpcomponents</groupId>
961
        <artifactId>httpclient</artifactId>
962
        <version>${httpcomponents.version}</version>
963
      </dependency>
964
      <dependency>
965
        <groupId>org.apache.httpcomponents</groupId>
966
        <artifactId>httpcore</artifactId>
967
        <version>4.4.13</version>
968
      </dependency>
969
      <dependency>
970
        <groupId>commons-io</groupId>
971
        <artifactId>commons-io</artifactId>
972
        <version>2.7</version>
973
      </dependency>
974
      <dependency>
975
          <groupId>org.apache.commons</groupId>
976
          <artifactId>commons-compress</artifactId>
977
          <version>1.20</version>
978
      </dependency>
979
      <dependency>
980
          <groupId>org.checkerframework</groupId>
981
          <artifactId>checker-qual</artifactId>
982
          <version>3.6.0</version>
983
      </dependency>
984
      <!-- only for version management, poi currently requires 1.6, commons-logging 
985
        1.1.1 requires 1.6, so we update here to the latest version -->
986
      <dependency>
987
        <groupId>commons-codec</groupId>
988
        <artifactId>commons-codec</artifactId>
989
        <version>1.14</version>
990
      </dependency>
991
      <!-- only for version management, httpcore:4.2.4, commons-beanutils:1.8.3, 
992
        commons-collections:3.2.1 currently require 1.1.1 , httpclient:4.2.3, spring-modules-cache 
993
        require 1.1 and batik-ext requires 1.0.4, so we update here to the latest 
994
        version 1.1.2, poi and springframework require 1.1.3 -->
995
      <dependency>
996
        <groupId>commons-logging</groupId>
997
        <artifactId>commons-logging</artifactId>
998
        <version>${commons-logging.version}</version>
999
      </dependency>
1000
      <!-- only for version management, hibernate-commons-annotations:4.0.1.Final 
1001
        requires 3.1.0.CR2 , hibernate-ehcache:4.1.10 requires 3.1.0.GA , so we update 
1002
        here to the latest version 3.1.3.GA -->
1003
      <dependency>
1004
        <groupId>org.jboss.logging</groupId>
1005
        <artifactId>jboss-logging</artifactId>
1006
        <version>3.4.1.Final</version>
1007
        <!-- checked 2020-08 -->
1008
      </dependency>
1009
          <dependency>
1010
            <!-- since hibernate 5.0.4 Dialect throws exception if jta is missing  -->
1011
        <groupId>javax.transaction</groupId>
1012
        <artifactId>jta</artifactId>
1013
        <version>1.1</version>
1014
      </dependency>  
1015
                
1016
      <!-- TODO xerces xmlParserAPIs duplicates many classes from jre and 
1017
        xml-apis. It is a dependency that comes with xom:xom -->
1018
      <dependency>
1019
        <groupId>org.apache.jena</groupId>
1020
        <artifactId>jena-tdb</artifactId>
1021
        <version>1.1.2</version>
1022
      </dependency>
1023

1024
      <dependency>
1025
        <groupId>net.sf.ezmorph</groupId>
1026
        <artifactId>ezmorph</artifactId>
1027
        <version>1.0.6</version>
1028
      </dependency>
1029
      <dependency>
1030
        <groupId>commons-beanutils</groupId>
1031
        <artifactId>commons-beanutils</artifactId>
1032
        <version>1.9.4</version>
1033
      </dependency>
1034
      <dependency>
1035
        <groupId>net.sf.json-lib</groupId>
1036
        <artifactId>json-lib</artifactId>
1037
        <version>2.4</version>
1038
        <classifier>jdk15</classifier>
1039
      </dependency>
1040
      <!-- media  -->
1041
      <dependency>
1042
        <groupId>org.devlib.schmidt</groupId>
1043
        <artifactId>imageinfo</artifactId>
1044
        <version>1.9</version>
1045
      </dependency>
1046
       <dependency>
1047
        <groupId>de.digitalcollections.iiif</groupId>
1048
        <artifactId>iiif-apis</artifactId>
1049
        <version>0.3.8</version>
1050
      </dependency>
1051
<!--       <dependency> -->
1052
<!--         only for version management iterators depends in different versions from -->
1053
<!--               de.digitalcollections.iiif:iiif-apis:0.3.7 -->
1054
<!--               <groupId>org.dmfs</groupId> -->
1055
<!--               <artifactId>iterators</artifactId> -->
1056
<!--               <version>1.5</version> -->
1057
<!--       </dependency> -->
1058
      <!--         -->
1059
      <dependency>
1060
        <groupId>org.apache.poi</groupId>
1061
        <artifactId>poi</artifactId>
1062
        <version>${poi.version}</version>
1063
      </dependency>
1064
      <dependency>
1065
        <groupId>org.apache.poi</groupId>
1066
        <artifactId>poi-ooxml-schemas</artifactId>
1067
        <version>${poi.version}</version>
1068
      </dependency>
1069
      <dependency>
1070
        <groupId>org.apache.poi</groupId>
1071
        <artifactId>poi-ooxml</artifactId>
1072
        <version>${poi.version}</version>
1073
      </dependency>
1074
      <dependency>
1075
        <groupId>org.apache.poi</groupId>
1076
        <artifactId>ooxml-schemas</artifactId>
1077
        <version>1.4</version>
1078
      </dependency>
1079
      <!--       <dependency> -->
1080
<!-- maybe needed in cdmlib-io, see https://poi.apache.org/help/faq.html  question 3 on when to use ooxml-schemas and when poi-ooxml-schemas  -->
1081
<!--         <groupId>org.apache.poi</groupId> -->
1082
<!--         <artifactId>ooxml-schemas</artifactId> -->
1083
<!--         <version>1.4</version> -->
1084
<!--       </dependency> -->
1085
      <dependency>
1086
             <!-- only for version management xmlbeans depends in different versions from 
1087
        org.apache.poi:poi-ooxml-schemas:3.13 and org.apache.poi:ooxml-schemas:1.4 -->
1088
              <groupId>org.apache.xmlbeans</groupId>
1089
              <artifactId>xmlbeans</artifactId>
1090
              <version>3.1.0</version>
1091
        <!-- checked 2020-08 -->
1092
      </dependency>
1093
      <dependency>
1094
        <groupId>org.docx4j</groupId>
1095
        <artifactId>docx4j</artifactId>
1096
        <version>6.1.2</version>
1097
      </dependency>
1098
      <dependency>
1099
        <!-- only for version management jcl-over-slf4j depends in different versions from 
1100
        org.docx4j:docx4j:6.0.1 and org.apache.jena:jjena-tdb:1.1.2 -->
1101
        <groupId>org.slf4j</groupId>
1102
        <artifactId>jcl-over-slf4j</artifactId>
1103
        <version>1.7.25</version>
1104
      </dependency>
1105
      <dependency>
1106
        <!-- only for version management xalan depends in different versions from 
1107
        org.docx4j:docx4j:6.0.1 and xom:xom:1.2.5 -->
1108
              <groupId>xalan</groupId>
1109
              <artifactId>xalan</artifactId>
1110
              <version>2.7.2</version>
1111
      </dependency>
1112
      <dependency>
1113
        <!-- only for version management org.apache.xmlgraphics:xmlgraphics-commons depends in different versions from 
1114
        org.docx4j:docx4j:6.0.1 and org.apache.xmlgraphics:fop:1.1 -->
1115
              <groupId>org.apache.xmlgraphics</groupId>
1116
              <artifactId>xmlgraphics-commons</artifactId>
1117
              <version>2.4</version>
1118
      </dependency>
1119
      <dependency>
1120
        <groupId>org.apache.commons</groupId>
1121
        <artifactId>commons-imaging</artifactId>
1122
        <version>1.0-alpha2</version>
1123
      </dependency>
1124
      <!-- joda-time -->
1125
      <dependency>
1126
        <groupId>joda-time</groupId>
1127
        <artifactId>joda-time</artifactId>
1128
        <version>2.10.6</version>
1129
      </dependency>
1130
          <!-- maybe replaced by usertype.core -->
1131
      <dependency>
1132
        <groupId>org.jadira.usertype</groupId>
1133
        <artifactId>usertype.jodatime</artifactId>
1134
        <version>2.0.1</version>
1135
      </dependency>
1136
      <dependency>
1137
        <groupId>org.apache.lucene</groupId>
1138
        <artifactId>lucene-core</artifactId>
1139
        <version>${lucene.version}</version>
1140
      </dependency>
1141
          <dependency>
1142
                <groupId>org.apache.lucene</groupId>
1143
                <artifactId>lucene-suggest</artifactId>
1144
                <version>${lucene.version}</version>
1145
          </dependency>
1146
          <dependency>
1147
                <groupId>org.apache.lucene</groupId>
1148
                <artifactId>lucene-analyzers-common</artifactId>
1149
                <version>${lucene.version}</version>
1150
          </dependency>
1151
          <dependency>
1152
        <groupId>org.apache.lucene</groupId>
1153
        <artifactId>lucene-queryparser</artifactId>
1154
        <version>${lucene.version}</version>
1155
      </dependency>
1156
      <dependency>
1157
        <groupId>org.apache.lucene</groupId>
1158
        <artifactId>lucene-highlighter</artifactId>
1159
        <version>${lucene.version}</version>
1160
      </dependency>
1161
      <dependency>
1162
        <groupId>org.apache.lucene</groupId>
1163
        <artifactId>lucene-grouping</artifactId>
1164
        <version>${lucene.version}</version>
1165
      </dependency>
1166
      <dependency>
1167
        <groupId>org.apache.lucene</groupId>
1168
        <artifactId>lucene-join</artifactId>
1169
        <version>${lucene.version}</version>
1170
      </dependency>
1171
      <dependency>
1172
        <groupId>org.apache.lucene</groupId>
1173
        <artifactId>lucene-backward-codecs</artifactId>
1174
        <version>${lucene.version}</version>
1175
      </dependency>
1176
      <dependency>
1177
        <groupId>org.apache.lucene</groupId>
1178
        <artifactId>lucene-misc</artifactId>
1179
        <version>${lucene.version}</version>
1180
      </dependency>
1181
      <dependency>
1182
        <groupId>org.apache.lucene</groupId>
1183
        <artifactId>lucene-facet</artifactId>
1184
        <version>${lucene.version}</version>
1185
      </dependency>
1186
            
1187
      <dependency>
1188
        <groupId>com.ibm.lsid</groupId>
1189
        <artifactId>lsid-client</artifactId>
1190
        <version>1.1.2</version>
1191
      </dependency>
1192
      <dependency>
1193
        <groupId>com.ibm.lsid</groupId>
1194
        <artifactId>lsid-server</artifactId>
1195
        <version>1.1.2</version>
1196
      </dependency>
1197
      <dependency>
1198
        <groupId>wsdl4j</groupId>
1199
        <artifactId>wsdl4j</artifactId>
1200
        <version>1.6.3</version>
1201
      </dependency>
1202
      <dependency>
1203
        <groupId>net.sf.dozer</groupId>
1204
        <artifactId>dozer</artifactId>
1205
        <version>5.3.0</version>
1206
      </dependency>
1207
      <dependency>
1208
        <groupId>net.sf.ehcache</groupId>
1209
        <artifactId>ehcache-core</artifactId>
1210
        <version>2.6.11</version>
1211
      </dependency>
1212
      <!-- ******* XML ******* -->
1213
      <dependency>
1214
        <groupId>xml-apis</groupId>
1215
        <artifactId>xml-apis</artifactId>
1216
        <!-- 
1217
            WARNING: do not upgrade to later versions 2.0.x of xml-apis
1218
            since these are effectivly reloaded to the early beta version
1219
            1.0.b2
1220
        -->
1221
        <version>1.4.01</version>
1222
      </dependency>
1223
      <dependency>
1224
        <groupId>xerces</groupId>
1225
        <artifactId>xercesImpl</artifactId>
1226
        <version>2.12.0</version>
1227
        <!-- checked 2020-08 -->
1228
      </dependency>
1229
      <!-- >batik-ext required by Xerces 2.11.0 for class ElementTraversal, 
1230
        as this is not included anymore in xml-apis 2.x -->
1231
<!--       <dependency> -->
1232
<!--         <groupId>org.apache.xmlgraphics</groupId> -->
1233
<!--         <artifactId>batik-ext</artifactId> -->
1234
<!--         <version>1.13</version> -->
1235
<!--       </dependency> -->
1236
      <dependency> <!-- required by cdmlib-print -->
1237
        <groupId>org.apache.xmlgraphics</groupId>
1238
        <artifactId>fop</artifactId>
1239
        <!-- version 1.1 does NOT work, because it depends on avalon-framework-api 
1240
          4.2.0 which is not available in central maven repository under the given 
1241
          groupID -->
1242
        <version>2.5</version>
1243
        <exclusions>
1244
          <!-- 1.1 depends on an old version of avalon-framework which does 
1245
            not exist in mvn repository under this groupId (has old groupId) -->
1246
          <exclusion>
1247
            <groupId>org.apache.avalon.framework</groupId>
1248
            <artifactId>avalon-framework-api</artifactId>
1249
          </exclusion>
1250
          <exclusion>
1251
            <groupId>org.apache.avalon.framework</groupId>
1252
            <artifactId>avalon-framework-impl</artifactId>
1253
          </exclusion>
1254
        </exclusions>
1255
      </dependency>
1256
      <!-- not directly required, but fix mentioned to force correct version 
1257
        number 4.3.1. Required by org.apache.xmlgraphics/fop 1.1 Remove when dependency 
1258
        in fop in corrected. -->
1259
      <dependency>
1260
        <groupId>org.apache.avalon.framework</groupId>
1261
        <artifactId>avalon-framework-api</artifactId>
1262
        <version>4.3.1</version>
1263
      </dependency>
1264
      <dependency>
1265
        <groupId>org.odftoolkit</groupId>
1266
        <artifactId>odfdom-java</artifactId>
1267
        <version>0.8.7</version>
1268
      </dependency>
1269
      <dependency>
1270
          <!-- used in eu.etaxonomy.cdm.io.markup and for swagger -->
1271
          <groupId>com.google.guava</groupId>
1272
          <artifactId>guava</artifactId>
1273
          <version>29.0-jre</version>
1274
      </dependency>
1275
      <!-- last jdom 1.x version -->
1276
          <dependency>
1277
        <groupId>org.jdom</groupId>
1278
        <artifactId>jdom</artifactId>
1279
        <version>1.1.3</version>
1280
      </dependency>
1281
          <!-- jdom2 may exist in parallel to jdom(1) as it uses a different package structure -->
1282
          <dependency>
1283
                 <groupId>org.jdom</groupId>
1284
                 <artifactId>jdom2</artifactId>
1285
                 <version>2.0.6</version>
1286
          </dependency>
1287
      <dependency>
1288
        <groupId>com.thoughtworks.xstream</groupId>
1289
        <artifactId>xstream</artifactId>
1290
        <version>1.4.12</version>
1291
      </dependency>
1292
      <dependency>
1293
      <groupId>xmlpull</groupId>
1294
        <artifactId>xmlpull</artifactId>
1295
        <version>1.2.0</version>
1296
      </dependency>
1297
      <dependency>
1298
        <groupId>xpp3</groupId>
1299
        <artifactId>xpp3</artifactId>
1300
        <version>1.1.4c</version>
1301
      </dependency>
1302
      <dependency>
1303
        <groupId>stax</groupId>
1304
        <artifactId>stax</artifactId>
1305
        <version>1.2.0</version>
1306
      </dependency>
1307
      <dependency>
1308
        <groupId>xom</groupId>
1309
        <artifactId>xom</artifactId>
1310
        <version>1.3.5</version>
1311
        <exclusions>
1312
          <!-- need to exclude com.ibm.icu:icu4j since it contains an invalid 
1313
            file which causes the jetty-maven-plugin to fail see http://stackoverflow.com/questions/3026956/javassist-failure-in-hibernate-invalid-constant-type-60 -->
1314
          <exclusion>
1315
            <groupId>com.ibm.icu</groupId>
1316
            <artifactId>icu4j</artifactId>
1317
          </exclusion>
1318
        </exclusions>
1319
      </dependency>
1320
      <!-- ******* SAXON (ViBRANT)******* -->
1321
      <dependency>
1322
        <groupId>net.sf.saxon</groupId>
1323
        <artifactId>Saxon-HE</artifactId>
1324
        <version>10.1</version>
1325
      </dependency>
1326
      <!-- ******* http components (ViBRANT)******* -->
1327
      <dependency>
1328
        <groupId>org.apache.httpcomponents</groupId>
1329
        <artifactId>httpmime</artifactId>
1330
        <version>${httpcomponents.version}</version>
1331
      </dependency>
1332
      <!-- ***** json ******************** -->
1333
      <dependency>
1334
        <groupId>org.json</groupId>
1335
        <artifactId>json</artifactId>
1336
        <version>20200518</version>
1337
      </dependency>
1338
      <!-- ******* HIBERNATE / EJB3 ******* -->
1339
      <dependency>
1340
        <groupId>org.hibernate.javax.persistence</groupId>
1341
        <artifactId>hibernate-jpa-2.1-api</artifactId>
1342
        <version>1.0.2.Final</version>
1343
      </dependency>
1344
      <dependency>
1345
        <groupId>org.hibernate</groupId>
1346
        <artifactId>hibernate-core</artifactId>
1347
        <version>${hibernate.version}</version>
1348
      </dependency>
1349
      <dependency>
1350
        <groupId>org.hibernate</groupId>
1351
        <artifactId>hibernate-entitymanager</artifactId>
1352
        <version>${hibernate.version}</version>
1353
      </dependency>
1354
      <dependency>
1355
        <groupId>org.hibernate</groupId>
1356
        <artifactId>hibernate-ehcache</artifactId>
1357
        <version>${hibernate.version}</version>
1358
      </dependency>
1359
      <dependency>
1360
        <groupId>org.hibernate</groupId>
1361
        <artifactId>hibernate-envers</artifactId>
1362
        <version>${hibernate.version}</version>
1363
      </dependency>
1364
      <dependency>
1365
        <groupId>org.hibernate</groupId>
1366
        <artifactId>hibernate-c3p0</artifactId>
1367
        <version>${hibernate.version}</version>
1368
      </dependency>
1369
      <dependency>
1370
        <groupId>com.mchange</groupId>
1371
        <artifactId>c3p0</artifactId>
1372
        <!-- 
1373
          IMPORTANT!!!
1374
          when changing the version of this artifact, the 
1375
          version in cdm-server pom.xml must be changed 
1376
          the same otherwise db connections through jndi 
1377
          will not work!
1378
                  NOTE: not so critical anymore as we use cdmlib-db
1379
                  now for both projects
1380
        -->
1381
        <version>0.9.5.2</version>
1382
      </dependency>
1383
      <dependency>
1384
        <groupId>org.hibernate.common</groupId>
1385
        <artifactId>hibernate-commons-annotations</artifactId>
1386
        <version>5.1.0.Final</version>
1387
      </dependency>
1388
      <dependency>
1389
        <groupId>org.hibernate</groupId>
1390
        <artifactId>hibernate-search-orm</artifactId>
1391
        <version>${hibernate-search.version}</version>
1392
      </dependency>
1393
      <dependency>
1394
        <groupId>org.hibernate</groupId>
1395
        <artifactId>hibernate-search-engine</artifactId>
1396
        <version>${hibernate-search.version}</version>
1397
      </dependency>
1398
      <dependency>
1399
        <groupId>org.javassist</groupId>
1400
        <artifactId>javassist</artifactId>
1401
        <version>3.27.0-GA</version>
1402
      </dependency>
1403
      <dependency>
1404
        <groupId>org.hibernate</groupId>
1405
        <artifactId>hibernate-cglib-repack</artifactId>
1406
        <version>2.1_3</version>
1407
      </dependency>
1408

1409
      <!-- ******* SPRING ******* -->
1410
      <dependency>
1411
        <groupId>org.springframework</groupId>
1412
        <artifactId>spring-core</artifactId>
1413
        <version>${spring.version}</version>
1414
      </dependency>
1415
      <dependency>
1416
        <groupId>org.springframework</groupId>
1417
        <artifactId>spring-context</artifactId>
1418
        <version>${spring.version}</version>
1419
      </dependency>
1420
      <dependency>
1421
        <groupId>org.springframework</groupId>
1422
        <artifactId>spring-beans</artifactId>
1423
        <version>${spring.version}</version>
1424
      </dependency>
1425
      <dependency>
1426
        <groupId>org.springframework</groupId>
1427
        <artifactId>spring-orm</artifactId>
1428
        <version>${spring.version}</version>
1429
      </dependency>
1430
      <dependency>
1431
        <groupId>org.springframework</groupId>
1432
        <artifactId>spring-jdbc</artifactId>
1433
        <version>${spring.version}</version>
1434
      </dependency>
1435
      <dependency>
1436
        <groupId>org.springframework</groupId>
1437
        <artifactId>spring-tx</artifactId>
1438
        <version>${spring.version}</version>
1439
      </dependency>
1440
      <dependency>
1441
        <groupId>org.springframework</groupId>
1442
        <artifactId>spring-test</artifactId>
1443
        <version>${spring.version}</version>
1444
      </dependency>
1445
      <dependency>
1446
        <groupId>org.springframework</groupId>
1447
        <artifactId>spring-web</artifactId>
1448
        <version>${spring.version}</version>
1449
      </dependency>
1450
          <dependency>
1451
              <groupId>org.springframework</groupId>
1452
        <artifactId>spring-webmvc</artifactId>
1453
        <version>${spring.version}</version>
1454
      </dependency>
1455
      <dependency>
1456
        <groupId>org.springframework</groupId>
1457
        <artifactId>spring-aop</artifactId>
1458
        <version>${spring.version}</version>
1459
      </dependency>
1460
      <dependency>
1461
        <groupId>org.springframework</groupId>
1462
        <artifactId>spring-aspects</artifactId>
1463
        <version>${spring.version}</version>
1464
      </dependency>
1465
      <dependency>
1466
        <groupId>org.springframework</groupId>
1467
        <artifactId>spring-expression</artifactId>
1468
        <version>${spring.version}</version>
1469
      </dependency>
1470
      <dependency>
1471
        <groupId>org.springframework</groupId>
1472
        <artifactId>spring-context-support</artifactId>
1473
        <version>${spring.version}</version>
1474
      </dependency>
1475
      <dependency>
1476
        <groupId>org.springframework</groupId>
1477
        <artifactId>spring-oxm</artifactId>
1478
        <version>${spring.version}</version>
1479
      </dependency>
1480
      <dependency>
1481
        <groupId>org.springframework.security</groupId>
1482
        <artifactId>spring-security-core</artifactId>
1483
        <version>${spring-security.version}</version>
1484
      </dependency>
1485
      <dependency>
1486
        <groupId>org.springframework.security</groupId>
1487
        <artifactId>spring-security-config</artifactId>
1488
        <version>${spring-security.version}</version>
1489
      </dependency>
1490
      <dependency>
1491
        <groupId>org.springframework.security</groupId>
1492
        <artifactId>spring-security-web</artifactId>
1493
        <version>${spring-security.version}</version>
1494
      </dependency>
1495
      <dependency>
1496
        <groupId>org.springframework.security.oauth</groupId>
1497
        <artifactId>spring-security-oauth2</artifactId>
1498
        <version>${spring-security-oauth2.version}</version>
1499
      </dependency>
1500
      <dependency>
1501
        <groupId>org.springframework.cloud</groupId>
1502
        <artifactId>spring-cloud-security</artifactId>
1503
        <version>${spring-security.version}</version>
1504
      </dependency>
1505
      <dependency>
1506
        <!-- required by spring security core, but not needed anymore in spring security 5.x  -->
1507
        <groupId>aopalliance</groupId>
1508
        <artifactId>aopalliance</artifactId>
1509
        <version>1.0</version>
1510
      </dependency>
1511

1512
      <!-- ******* SERVLET/JSP/JSF ******* -->
1513
      <dependency>
1514
        <groupId>javax.servlet</groupId>
1515
        <artifactId>javax.servlet-api</artifactId>
1516
        <version>4.0.1</version>
1517
        <!-- checked 2020-08 -->
1518
      </dependency>
1519

1520
      <!-- yourkit profiler api controller (used in ..) -->
1521
      <dependency>
1522
        <groupId>com.yourkit</groupId>
1523
        <artifactId>yjp-controller-api-redist</artifactId>
1524
        <version>2015-build-15086</version>
1525
        <scope>test</scope>
1526
      </dependency>
1527
      <!-- For Validation -->
1528
      <dependency>
1529
        <groupId>javax.validation</groupId>
1530
        <artifactId>validation-api</artifactId>
1531
        <version>2.0.1.Final</version>
1532
        <!-- checked 2020-08 -->
1533
      </dependency>
1534
      <dependency>
1535
        <groupId>org.hibernate.validator</groupId>
1536
        <artifactId>hibernate-validator</artifactId>
1537
        <version>${hibernate-validator.version}</version>
1538
      </dependency>
1539
      <dependency>
1540
        <groupId>com.fasterxml</groupId>
1541
        <artifactId>classmate</artifactId>
1542
        <version>1.5.1</version>     
1543
        <!-- checked 2020-08 -->
1544
      </dependency>
1545
          <dependency>
1546
        <groupId>javax.el</groupId>
1547
        <artifactId>javax.el-api</artifactId>
1548
        <version>3.0.0</version>
1549
        <!-- checked 2020-08 -->
1550
          </dependency>
1551
      <dependency>
1552
          <groupId>jakarta.validation</groupId>
1553
          <artifactId>jakarta.validation-api</artifactId>
1554
          <version>3.0.0</version>
1555
          <!-- checked 2020-08 -->
1556
      </dependency>
1557
          <dependency>
1558
                 <groupId>org.glassfish.web</groupId>
1559
                 <artifactId>javax.el</artifactId>
1560
                 <version>2.2.6</version>
1561
          </dependency>
1562
          <dependency>
1563
             <groupId>org.hibernate.validator</groupId>
1564
         <artifactId>hibernate-validator-cdi</artifactId>
1565
         <version>${hibernate-validator.version}</version>
1566
          </dependency>
1567
      <dependency>
1568
         <!-- not clear if needed, but if needed v8.0 should be used to avoid problems with javax.validation.BootstrapConfiguration -->
1569
         <!-- it was a (currently excluded) transitiv dependency from org.geotools/gt-referencing  used in cdmlib-ext -->
1570
         <groupId>javax</groupId>
1571
         <artifactId>javaee-api</artifactId>
1572
         <version>8.0.1</version>
1573
      </dependency>
1574
          
1575
      <!-- for ikey-plus -->
1576
      <dependency>
1577
        <groupId>identificationKeyAPI</groupId>
1578
        <artifactId>identificationKeyAPI</artifactId>
1579
        <version>1.0</version>   <!-- was <version>1.0-SNAPSHOT</version> -->
1580
      </dependency>
1581
      <dependency>
1582
        <groupId>com.itextpdf</groupId>
1583
        <artifactId>itextpdf</artifactId>
1584
        <version>5.5.13.1</version>
1585
        <scope>compile</scope>
1586
      </dependency>
1587
      <!-- AptView -->
1588
      <dependency>
1589
        <groupId>org.apache.maven.doxia</groupId>
1590
        <artifactId>doxia-module-apt</artifactId>
1591
        <version>${doxia.version}</version>
1592
      </dependency>
1593
      <dependency>
1594
        <groupId>org.apache.maven.doxia</groupId>
1595
        <artifactId>doxia-module-xhtml</artifactId>
1596
        <version>${doxia.version}</version>
1597
      </dependency>
1598
      <dependency>
1599
        <!-- managing version of plexus-utils to avoid multiple versions (3.0.15, 1.4.5) of the artifact -->
1600
              <groupId>org.codehaus.plexus</groupId>
1601
              <artifactId>plexus-utils</artifactId>
1602
              <version>3.3.0</version>
1603
        <!-- checked 2020-08 -->
1604
      </dependency>
1605
      <!-- swagger (rest service doc) -->
1606
      <dependency>
1607
        <groupId>io.swagger</groupId>
1608
        <artifactId>swagger-annotations</artifactId>
1609
        <!-- should match the springfox-swagger2 depends on -->
1610
        <version>1.5.10</version>
1611
      </dependency>
1612

1613
      <!-- dependencies for swagger-springmvc, added explicitely -->
1614
      <dependency>
1615
        <groupId>com.fasterxml.jackson.core</groupId>
1616
        <artifactId>jackson-databind</artifactId>
1617
        <version>${jackson.version}</version>
1618
      </dependency>
1619
      <dependency>
1620
        <groupId>com.fasterxml.jackson.core</groupId>
1621
        <artifactId>jackson-core</artifactId>
1622
        <version>${jackson.version}</version>
1623
      </dependency>
1624
      <dependency>
1625
        <groupId>com.fasterxml.jackson.core</groupId>
1626
        <artifactId>jackson-annotations</artifactId>
1627
        <version>${jackson.version}</version>
1628
      </dependency> 
1629
      <!-- END of dependencies for swagger-springmvc, added explicitely -->
1630
      <dependency>
1631
        <groupId>io.springfox</groupId>
1632
        <artifactId>springfox-swagger2</artifactId>
1633
        <version>2.6.1</version>
1634
      </dependency>
1635
      
1636
      <!-- ******* DATABASES DRIVER ******* -->
1637
      <dependency>
1638
        <groupId>mysql</groupId>
1639
        <artifactId>mysql-connector-java</artifactId>
1640
        <version>8.0.21</version>
1641
      </dependency>
1642
      <dependency>
1643
        <groupId>org.mariadb.jdbc</groupId>
1644
        <artifactId>mariadb-java-client</artifactId>
1645
        <version>2.6.2</version>
1646
      </dependency>
1647
      <dependency>
1648
         <groupId>org.postgresql</groupId>
1649
         <artifactId>postgresql</artifactId>
1650
         <version>42.2.15</version>
1651
      </dependency>
1652
          <dependency>
1653
        <groupId>com.h2database</groupId>
1654
        <artifactId>h2</artifactId>
1655
        <version>1.4.190</version>
1656
      </dependency>
1657
      <!--for sqlserver2008 and sqlserver2005 -->
1658
      <dependency>
1659
        <groupId>com.microsoft.sqlserver</groupId>
1660
        <artifactId>jdbc4</artifactId>
1661
        <version>2.0</version>
1662
      </dependency>
1663
          <dependency>
1664
        <groupId>org.hsqldb</groupId>
1665
        <artifactId>hsqldb</artifactId>
1666
        <version>${hsqldb.version}</version>
1667
      </dependency>
1668
      <dependency>
1669
        <!-- SQL Server and Sybase -->
1670
        <groupId>net.sourceforge.jtds</groupId>
1671
        <artifactId>jtds</artifactId>
1672
        <version>1.3.1</version>
1673
      </dependency>
1674
      <dependency>
1675
        <groupId>oracle</groupId>
1676
        <artifactId>ojdbc14</artifactId>
1677
        <version>10.2.0.4.0</version>
1678
      </dependency>
1679
      <!--    <dependency>
1680
        <groupId>ojdbc</groupId>
1681
        <artifactId>ojdbc</artifactId>
1682
        <version>14</version>
1683
        </dependency>   -->      
1684
      <dependency>
1685
        <groupId>com.taskadapter</groupId>
1686
        <artifactId>redmine-java-api</artifactId>
1687
        <version>3.1.0</version>
1688
      </dependency>
1689
      <!-- GIS/KML -->
1690
          <dependency>
1691
             <groupId>de.micromata.jak</groupId>
1692
             <artifactId>JavaAPIforKml</artifactId>
1693
             <version>2.2.1</version>
1694
          </dependency>
1695
          <dependency>
1696
            <groupId>org.geotools</groupId>
1697
            <artifactId>gt-opengis</artifactId>
1698
            <version>${geotools.version}</version>
1699
          </dependency>
1700
          <dependency>
1701
            <groupId>org.geotools</groupId>
1702
            <artifactId>gt-referencing</artifactId>
1703
            <version>${geotools.version}</version>
1704
          </dependency>
1705
          <dependency>
1706
            <groupId>org.geotools</groupId>
1707
            <artifactId>gt-epsg-wkt</artifactId>
1708
            <version>${geotools.version}</version>
1709
          </dependency>
1710
          <dependency>
1711
            <groupId>org.geotools</groupId>
1712
            <artifactId>gt-main</artifactId>
1713
            <version>${geotools.version}</version>
1714
          </dependency>
1715
    
1716
      <dependency>
1717
         <groupId>com.sun</groupId>
1718
         <artifactId>tools</artifactId>
1719
         <version>1.8.0</version>
1720
      </dependency>
1721
   </dependencies>    
1722
  </dependencyManagement>
1723
</project>
1724
Add picture from clipboard (Maximum size: 40 MB)